import * as cdk from '@aws-cdk/core';
import * as lambda from '@aws-cdk/aws-lambda';
import { BundlerConfig } from './bundling';
export interface RubyFunctionProps extends lambda.FunctionOptions {
    readonly sourceDirectory: string;
    readonly handler: string;
    readonly runtime: lambda.Runtime;
    readonly bundlerConfig?: BundlerConfig;
}
export declare class RubyFunction extends lambda.Function {
    static readonly DEFAULT_BUNDLER_CONFIG: BundlerConfig;
    constructor(scope: cdk.Construct, id: string, props: RubyFunctionProps);
}
